Skip to main content
GET
Get Campaign
Requires a Labs OAuth user access token with the super_user role. API keys are not accepted for this endpoint. See authentication.

Authorizations

Authorization
string
header
required

Bandwidth Labs OAuth access token. Uses the user's selected workspace; the workspace header is not required. Do not also send an API key. Bearer-only operations may additionally require the Labs super_user role.

Path Parameters

campaign_id
integer
required

Response

Successful Response

completed_at
string<date-time> | null
required
created_at
string<date-time>
required
failed_rows
integer
required
id
integer
required
name
string
required
processed_rows
integer
required
retry_config
RetryConfigResponse · object
required
source_id
string
required
source_type
string
required
started_at
string<date-time> | null
required
state
string
required
total_rows
integer | null
required
workflow_id
integer
required
workflow_name
string
required
circuit_breaker
CircuitBreakerConfigResponse · object | null
executed_count
integer
default:0
logs
CampaignLogEntryResponse · object[]
max_concurrency
integer | null
parent_campaign_id
integer | null
redialed_campaign_id
integer | null
schedule_config
ScheduleConfigResponse · object | null
telephony_configuration_id
integer | null
telephony_configuration_name
string | null
total_queued_count
integer
default:0